# Enum Class MValidationKind

java.lang.Object
java.lang.Enum<MValidationKind>
com.io7m.montarre.api.validation.MValidationKind

All Implemented Interfaces:
  `Serializable, Comparable<MValidationKind>, Constable`

public enum MValidationKind extends Enum<MValidationKind>
A warning or error.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ERROR`
  An error.
  `WARNING`
  A warning.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MValidationKind`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MValidationKind[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### WARNING

    public static final MValidationKind WARNING
    A warning.

  - ### ERROR

    public static final MValidationKind ERROR
    An error.

- ## Method Details

  - ### values

    public static MValidationKind[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MValidationKind valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null